Bug 22475 - Shelving location doesn't appear on tags list view
Summary: Shelving location doesn't appear on tags list view
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/tags/list.pl?tag=foo
Whiteboard:
Keywords:
Depends on: 22422
Blocks:
  Show dependency treegraph
 
Reported: 2019-03-07 16:03 UTC by Owen Leonard
Modified: 2019-04-15 10:43 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.05.00, 18.11.05


Attachments
Bug 22475: Shelving location doesn't appear on tags list view (2.03 KB, patch)
2019-03-07 16:09 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22475: Shelving location doesn't appear on tags list view (2.08 KB, patch)
2019-04-04 17:27 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 22475: Shelving location doesn't appear on tags list view (2.14 KB, patch)
2019-04-04 21:36 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-03-07 16:03:50 UTC
In the staff client, when viewing a list of titles with a particular tag, shelving location is supposed to appear but doesn't.
Comment 1 Owen Leonard 2019-03-07 16:09:30 UTC
Created attachment 86281 [details] [review]
Bug 22475: Shelving location doesn't appear on tags list view

This patch corrects the tags list view so that shelving location appears
correctly. Previously the template tried to display a variable which was
empty.

To test, apply the patch and locate an title which has both a tag
applied to it and a shelving location defined for one or more items. Go
to Tools -> Tags and click the tag to view titles with that tag. In the
location column of the table the shelving location should appear along
with library and call number.
Comment 2 Pierre-Marc Thibault 2019-03-08 19:27:45 UTC
When I try to apply the patch, I have an error message :
Applying: Bug 22475: Shelving location doesn't appear on tags list view
fatal: sha1 information is lacking or useless (koha-tmpl/intranet-tmpl/prog/en/modules/tags/list.tt).
error: could not build fake ancestor
Comment 3 Owen Leonard 2019-03-11 12:44:52 UTC
Did you apply the patch for Bug 22422 first?
Comment 4 Liz Rea 2019-04-04 17:27:40 UTC
Created attachment 87425 [details] [review]
Bug 22475: Shelving location doesn't appear on tags list view

This patch corrects the tags list view so that shelving location appears
correctly. Previously the template tried to display a variable which was
empty.

To test, apply the patch and locate an title which has both a tag
applied to it and a shelving location defined for one or more items. Go
to Tools -> Tags and click the tag to view titles with that tag. In the
location column of the table the shelving location should appear along
with library and call number.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 5 Katrin Fischer 2019-04-04 21:36:13 UTC
Created attachment 87427 [details] [review]
Bug 22475: Shelving location doesn't appear on tags list view

This patch corrects the tags list view so that shelving location appears
correctly. Previously the template tried to display a variable which was
empty.

To test, apply the patch and locate an title which has both a tag
applied to it and a shelving location defined for one or more items. Go
to Tools -> Tags and click the tag to view titles with that tag. In the
location column of the table the shelving location should appear along
with library and call number.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Nick Clemens 2019-04-05 13:09:05 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-15 10:43:26 UTC
Pushed to 18.11.x for 18.11.05
Comment 8 Martin Renvoize 2019-04-15 10:43:43 UTC
No need to backport this one further chaps.